Skip to navigation

List Webhooks

Returns a list of all webhooks on a store associated to the client_id used to authenticate the request.

Note: BigCommerce determines the client_id from the access_token.

Authentication

X-Auth-Tokenstring

OAuth scopes

None required. Create and manage webhooks with the default scope of an API account.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringOptionalDefaults to application/json

The MIME type of the response body that the client accepts. Typically application/json.

Query parameters

pageintegerOptional
Page number.
limitintegerOptional
Items count per page.
is_activebooleanOptional
Enables user to filter for webhooks that are active or not. A webhook subscription becomes deactivated after 90 days of inactivity.
scopestringOptional
Enables user to filter for webhooks by scope.
destinationstringOptional
Enables user to filter for webhooks by destination.

Response

The requested webhook.
datalist of objectsOptional
metaobjectOptional

Errors

401
Unauthorized Error